> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/accounts/{account-id}/line-items/cap-out-history

> Get the cap out history for line items



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/accounts/{account-id}/line-items/cap-out-history
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/accounts/{account-id}/line-items/cap-out-history:
    post:
      tags:
        - Campaign
      summary: /preview/retail-media/accounts/{account-id}/line-items/cap-out-history
      description: Get the cap out history for line items
      operationId: GetCapoutHistory
      parameters:
        - name: account-id
          in: path
          description: account id that own the lineitem
          required: true
          schema:
            type: string
      requestBody:
        description: lineitem budgetcapout history  object
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ValueResourceInputLineItemBudgetCapOutHistoryRequest
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ValueResourceOutcomeLineItemBudgetCapOutHistoryResponse
      security:
        - oauth:
            - RetailMedia_Campaign_Read
components:
  schemas:
    ValueResourceInputLineItemBudgetCapOutHistoryRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceLineItemBudgetCapOutHistoryRequest'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ValueResourceOutcomeLineItemBudgetCapOutHistoryResponse:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ValueResourceLineItemBudgetCapOutHistoryResponse
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value object.
    ValueResourceLineItemBudgetCapOutHistoryRequest:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/LineItemBudgetCapOutHistoryRequest'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    ValueResourceLineItemBudgetCapOutHistoryResponse:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/LineItemBudgetCapOutHistoryResponse'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
      nullable: true
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    LineItemBudgetCapOutHistoryRequest:
      required:
        - budgetTypes
        - lineItemIds
      type: object
      properties:
        budgetTypes:
          type: array
          items:
            enum:
              - total
              - daily
              - monthly
              - hourly
            type: string
            description: The budget type enum
          description: Budget Types to return cap out history
        lineItemIds:
          maxItems: 50
          type: array
          items:
            type: string
          description: Line Item Ids to return cap out history
      additionalProperties: false
      description: The request body for cap out history of line item
    LineItemBudgetCapOutHistoryResponse:
      type: object
      properties:
        lineItemBudgetCapOutHistories:
          type: array
          items:
            $ref: '#/components/schemas/LineItemBudgetCapOutHistory'
          description: The list of line item budget cap out histories
          nullable: true
      additionalProperties: false
      description: The response body for cap out history of line item
      nullable: true
    LineItemBudgetCapOutHistory:
      type: object
      properties:
        capoutTimes:
          type: object
          properties:
            daily:
              type: array
              items:
                type: string
                format: date-time
              nullable: true
            hourly:
              type: array
              items:
                type: string
                format: date-time
              nullable: true
            monthly:
              type: array
              items:
                type: string
                format: date-time
              nullable: true
            total:
              type: array
              items:
                type: string
                format: date-time
              nullable: true
          additionalProperties: false
          description: >-
            The dictionary of budget type to the list of cap out times up to 3
            most recent cap out times
          nullable: true
        lineItemId:
          type: string
          description: Line Item Id
          nullable: true
      additionalProperties: false
      description: The cap out history for a line item
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````